Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Namable Class Reference

A base class for all things which can have a name. More...

Inheritance diagram for Namable:

List of all members.

## Public Member Functions
| Namable (Namable const copy)
| Namable (string initial_name)
| Namable ()
| clearName ()
| Resets the Namable's name to empty.
string | getName ()
bool | hasName ()
| Returns true if the Namable has a nonempty name set, false if the name is empty.
Namable | operator= (Namable const other)
| output (ostream out)
| Outputs the Namable.
| setName (string name)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A base class for all things which can have a name.

The name is either empty or nonempty, but it is never NULL.

## Constructor & Destructor Documentation

Namable | ( | Namable const | copy | ) |

Namable | ( | string | initial_name | ) |

Namable | ( |  | ) |

## Member Function Documentation

clearName | ( |  | ) |

Resets the Namable's name to empty.

Reimplemented in AsyncTask.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented in PGItem, PandaNode, PGButton, PGTop, PGEntry, PGMouseWatcherBackground, MouseWatcherRegion, PGVirtualFrame, PGSliderBar, PGScrollFrame, PGWaitBar, ButtonThrower, DataNode, MouseInterfaceNode, DriveInterface, MouseSubregion, MouseWatcher, Trackball, Transform2SG, TextFont, DynamicTextPage, Texture, DynamicTextFont, StaticTextFont, TextNode, ParametricCurve, CubicCurveseg, PiecewiseCurve, HermiteCurve, NurbsCurve, RopeNode, SheetNode, AnimateVerticesRequest, AsyncTask, Material, TextureReloadRequest, VideoTexture, AsyncTaskBase, AsyncTaskChain, AsyncTaskManager, AsyncTaskPause, AsyncTaskSequence, PythonTask, Thread, ExternalThread, MainThread, PythonThread, AnalogNode, ButtonNode, DialNode, MouseAndKeyboard, TrackerNode, VirtualMouse, CollisionNode, CollisionTraverser, CollisionVisualizer, CharacterJoint, MovingPartMatrix, CharacterSlider, MovingPartScalar, Character, PartBundleNode, CharacterJointBundle, PartBundle, AnimGroup, AnimBundle, AnimBundleNode, PartGroup, AnimControl, AnimChannelBase, AnimChannelMatrix, AnimChannelScalar, AnimChannelMatrixDynamic, AnimChannelMatrixXfmTable, AnimChannelScalarDynamic, AnimChannelScalarTable, BindAnimRequest, ModelLoadRequest, MovingPartBase, MovingPartACMatrixSwitchType, MovingPartACScalarSwitchType, FrameRateMeter, MovieTexture, SceneGraphAnalyzerMeter, RigidBodyCombiner, MovieAudio, FfmpegAudio, MovieVideo, FfmpegVideo, InkblotVideo, MicrophoneAudio, UserDataAudio, LensNode, Camera, PlaneNode, GeomNode, Fog, PandaLoader, ModelFlattenRequest, ModelNode, ModelRoot, OccluderNode, PolylightNode, PortalNode, LightNode, AmbientLight, CallbackNode, LightLensNode, DirectionalLight, LODNode, FadeLODNode, PointLight, SelectiveChildNode, SequenceNode, Spotlight, SwitchNode, UvScrollNode, and MouseRecorder.

string getName | ( |  | ) |

Reimplemented in DynamicTextFont.

bool hasName | ( |  | ) |

Returns true if the Namable has a nonempty name set, false if the name is empty.

Namable operator= | ( | Namable const | other | ) |

output | ( | ostream | out | ) |

Outputs the Namable.

This function simply writes the name to the output stream; most Namable derivatives will probably redefine this.

Reimplemented in PandaNode, MouseWatcherRegion, TextNode, AdaptiveLru, SimpleLru, AsyncTask, Material, AsyncTaskChain, AsyncTaskManager, Thread, CollisionTraverser, PartBundle, AnimGroup, AnimControl, PandaLoader, LightNode, and LightLensNode.

setName | ( | string | name | ) |

Reimplemented in PGItem, and AsyncTask.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties